<link href="templates/{$template}/whmcsnow_surveystyle.css" rel="stylesheet">
<script type="text/javascript" src="modules/addons/survey/js.php"></script>
{if $error}
	<div style="padding:100px; text-align:center;">{$error}</div>
{elseif $surveyintro}
	<div style="padding:60px; text-align:center;">{$surveyintro|nl2br|bbcode2html}
		<br /><br /><br />
		<input type="button" class="btn btn-primary" value="{$WNOW_LANG.btn_startsurvey}" onclick="window.location=window.location+'&step=1';" />
	</div>
{elseif $surveyend}	
	<div style="padding:60px; text-align:center;">{$surveyend|nl2br|bbcode2html}</div>
{else}
	<form method="post" action="{$formaction}">
	{foreach from=$questions item=question}
		<h3>{$question.question}{if $question.required == 1} <font color="red">*</font>{/if}</h3>
		{if $question.note}<div class="surveynote">{$question.note}</div>{/if}
		<div class="answerholder">
			{if $question.type == "choice"}
				{foreach from=$question.answers item=answer}
					<input type="radio" name="qa[{$question.id}]" id="{$question.id}-{$answer}"{if $question.required == 1} required="required"{/if} value="{$answer}" /><label for="{$question.id}-{$answer}"> {$answer}</label><br />
				{/foreach}
			{elseif $question.type == "textbox"}
				<input type="text" style="width:100%;" name="qa[{$question.id}]"{if $question.required == 1} required="required"{/if} value="" />
			{elseif $question.type == "multiple"}	
				{foreach from=$question.answers item=answer}
					<input type="checkbox" name="qa[{$question.id}][]" value="{$answer}" /> {$answer}<br />
				{/foreach}
			{elseif $question.type == "long" or $question.type == "testimonial"}
				<textarea name="qa[{$question.id}]" style="width:100%; height:110px;"{if $question.required == 1} required="required"{/if}></textarea>
			{elseif $question.type == "starrate"}
				<div class="qa{$question.id} starrate" data="{$question.answers.0}_1"></div> <div class="starratingarrow"></div> <div class="starrating" id="rating_{$question.id}">0/{$question.answers.0}</div>	<input type="hidden" name="qa[{$question.id}]" id="boxrating_{$question.id}" />			
				{literal}<script type="text/javascript">
				  $(document).ready(function(){
					$(".qa{/literal}{$question.id}{literal}").jRating({
					  ID : '{/literal}{$question.id}{literal}',
					  length : {/literal}{$question.answers.0}{literal}, // nb of stars
					  rateMax : {/literal}{$question.answers.0}{literal}
					});
				  });
				</script>{/literal}
				
			{/if}
		</div>
		<br />
	{/foreach}
		<center><input type="submit" class="btn btn-primary" value="Continue" /></center>
	</form>
	{if $num_steps > 1}
		<div class="progress-bar blue"></div>
		{literal}<style type="text/css">.progress-bar:before, .progress-bar:after { width:{/literal}{$completed_perc|round}{literal}%; } .progress-bar:before { content: '{/literal}{$completed_perc|round}{literal}%'; }</style>{/literal}
	{/if}
{/if}